classification
Title: rename test_support to support
Type: enhancement Stage:
Components: Tests Versions: Python 3.0
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: benjamin.peterson Nosy List: benjamin.peterson, brett.cannon, georg.brandl, loewis
Priority: release blocker Keywords: easy, patch

Created on 2008-04-12 00:32 by benjamin.peterson, last changed 2008-05-20 22:09 by brett.cannon. This issue is now closed.

Files
File name Uploaded Description Edit
rename_test_support.patch benjamin.peterson, 2008-04-12 00:31
rename_test_support2.patch benjamin.peterson, 2008-04-12 00:55
rename_test_support_py3k.patch benjamin.peterson, 2008-04-12 16:16
Messages (12)
msg65385 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-04-12 00:31
I used some brute force search and replace for this and it worked quite
well. If this patch is accepted, I'll fix the docs.
msg65392 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-04-12 05:38
What's the rationale for this change?
msg65396 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-04-12 08:34
It would be nice if all test.test_foo modules were real tests.

I know this is on the stdlib-sig's list of changes for 3.0; I don't
think we should do the rename in 2.x.
msg65403 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-04-12 16:16
Right, we should do this only in Py3k. It might be helpful to make an
alias in 2.6 for it. Attaching py3k patch.
msg65597 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-04-17 23:42
Brett, comments?
msg65598 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-04-18 01:05
I am going to assign this to me, but wait until Guido pronounces on PEP 
3108 before moving forward with a review.
msg66301 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-05-06 02:17
Now that the stdlib-reorg PEP has been accepted, would you like you me
to apply this patch? (Of course, I'll account for recent changes in the
test suite.)
msg67086 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-20 04:16
No renames will occur in 2.6, only in 3.0, which means this can happen 
whenever.
msg67110 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-05-20 07:33
Should be safe to apply now, Benjamin.
msg67124 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-05-20 11:54
On Tue, May 20, 2008 at 2:33 AM, Georg Brandl <report@bugs.python.org> wrote:
>
> Georg Brandl <georg@python.org> added the comment:
>
> Should be safe to apply now, Benjamin.

Will do today.
-- 
Cheers,
Benjamin Peterson
"There's no place like 127.0.0.1."
msg67137 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-05-20 21:37
Done in r63512.
msg67138 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-20 22:09
I just added the note to the docs in 2.6.
History
Date User Action Args
2008-05-20 22:09:56brett.cannonunlinkissue2775 dependencies
2008-05-20 22:09:32brett.cannonsetmessages: + msg67138
2008-05-20 21:38:20benjamin.petersonsetstatus: open -> closed
messages: + msg67137
2008-05-20 11:54:11benjamin.petersonsetmessages: + msg67124
2008-05-20 07:33:48georg.brandlsetassignee: brett.cannon -> benjamin.peterson
resolution: accepted
messages: + msg67110
2008-05-20 04:16:03brett.cannonsetmessages: + msg67086
2008-05-16 04:43:28brett.cannonsetpriority: release blocker
2008-05-13 08:32:54georg.brandllinkissue2775 dependencies
2008-05-06 02:17:23benjamin.petersonsetmessages: + msg66301
2008-04-18 01:05:45brett.cannonsetassignee: brett.cannon
messages: + msg65598
2008-04-17 23:42:43benjamin.petersonsetmessages: + msg65597
2008-04-12 16:17:02benjamin.petersonsetfiles: + rename_test_support_py3k.patch
messages: + msg65403
versions: + Python 3.0, - Python 2.6
2008-04-12 08:34:44georg.brandlsetmessages: + msg65396
2008-04-12 05:38:15loewissetnosy: + loewis
messages: + msg65392
2008-04-12 00:56:33benjamin.petersonsetfiles: + rename_test_support2.patch
2008-04-12 00:32:24benjamin.petersoncreate